NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.SmoothOptResultsBuilder Class Reference

This builder is meant for optimization results related to material density. More...

Inheritance diagram for NXOpen.CAE.SmoothOptResultsBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AdditionalSmoothingType { None, Laplace }
 Source mesh type More...
 

Public Member Functions

unsafe void CreateVerificationSolution ()
 Create verification solution More...
 
unsafe void DisplayUpdate ()
 Display update More...
 
unsafe void Export ()
 Export model files More...
 
unsafe double[] GetLatticeAreaColor ()
 Returns the lattice area color More...
 
unsafe double[] GetSolidAreaColor ()
 Returns the solid area color More...
 
unsafe void SetLatticeAreaColor (double[] latticeAreaColor)
 Sets the lattice area color More...
 
unsafe void SetSolidAreaColor (double[] solidAreaColor)
 Sets the solid area color More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.CAE.SmoothOptResultsBuilder.AdditionalSmoothingType 
AdditionalSmoothingOption [get, set]
 Returns or sets the additonal smoothing option More...
 
unsafe bool AutomaticDisplayOption [get, set]
 Returns or sets the automatic display option More...
 
unsafe bool GenerateBdf [get, set]
 Returns or sets the generate bdf More...
 
unsafe bool GenerateDensityCsv [get, set]
 Returns or sets the generate density csv More...
 
unsafe bool GenerateStl [get, set]
 Returns or sets the generate stl More...
 
unsafe int Iteration [get, set]
 Returns or sets the iteration More...
 
unsafe int LoadCase [get, set]
 Returns or sets the load case More...
 
unsafe double LowerBoundLatticeArea [get, set]
 Returns or sets the lower bound lattice area More...
 
unsafe double LowerBoundSolidArea [get, set]
 Returns or sets the lower bound solid area More...
 
unsafe NXOpen.CAE.Result Result [get, set]
 Returns or sets the result More...
 
unsafe bool SmoothDisplayOption [get, set]
 Returns or sets the source mesh option More...
 
unsafe double SmoothLevel [get, set]
 Returns or sets the smooth level More...
 
unsafe NXOpen.CAE.SimSolution Solution [get, set]
 Returns or sets the solution More...
 
unsafe int ViewPortIndex [get, set]
 Returns or sets the view port index More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This builder is meant for optimization results related to material density.

User can display and export results using this builder<para>To create a new instance of this class, use NXOpen.CAE.SimSimulation.SmoothOptResultsCreateBuilder

Default values.

Property Value

AdditionalSmoothingOption

None

AutomaticDisplayOption

1

GenerateBdf

1

GenerateDensityCsv

0

GenerateStl

1

LowerBoundLatticeArea

0.1

LowerBoundSolidArea

0.3

SmoothDisplayOption

0

SmoothLevel

0.25

Created in NX12.0.0

Member Enumeration Documentation

Source mesh type

Enumerator
None 
Laplace 

Member Function Documentation

unsafe void NXOpen.CAE.SmoothOptResultsBuilder.CreateVerificationSolution ( )
inline

Create verification solution

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe void NXOpen.CAE.SmoothOptResultsBuilder.DisplayUpdate ( )
inline

Display update

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe void NXOpen.CAE.SmoothOptResultsBuilder.Export ( )
inline

Export model files

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe double [] NXOpen.CAE.SmoothOptResultsBuilder.GetLatticeAreaColor ( )
inline

Returns the lattice area color

Created in NX12.0.0

License requirements: None.

Returns
Array of 3 RGB values, each between 0 and 1
unsafe double [] NXOpen.CAE.SmoothOptResultsBuilder.GetSolidAreaColor ( )
inline

Returns the solid area color

Created in NX12.0.0

License requirements: None.

Returns
Array of 3 RGB values, each between 0 and 1
unsafe void NXOpen.CAE.SmoothOptResultsBuilder.SetLatticeAreaColor ( double[]  latticeAreaColor)
inline

Sets the lattice area color

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
latticeAreaColorArray of 3 RGB values, each between 0 and 1
unsafe void NXOpen.CAE.SmoothOptResultsBuilder.SetSolidAreaColor ( double[]  solidAreaColor)
inline

Sets the solid area color

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
solidAreaColorArray of 3 RGB values, each between 0 and 1

Property Documentation

unsafe NXOpen.CAE.SmoothOptResultsBuilder.AdditionalSmoothingType NXOpen.CAE.SmoothOptResultsBuilder.AdditionalSmoothingOption
getset

Returns or sets the additonal smoothing option

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.SmoothOptResultsBuilder.AutomaticDisplayOption
getset

Returns or sets the automatic display option

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.SmoothOptResultsBuilder.GenerateBdf
getset

Returns or sets the generate bdf

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.SmoothOptResultsBuilder.GenerateDensityCsv
getset

Returns or sets the generate density csv

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.SmoothOptResultsBuilder.GenerateStl
getset

Returns or sets the generate stl

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.SmoothOptResultsBuilder.Iteration
getset

Returns or sets the iteration

Created in NX12.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.SmoothOptResultsBuilder.LoadCase
getset

Returns or sets the load case

Created in NX12.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe double NXOpen.CAE.SmoothOptResultsBuilder.LowerBoundLatticeArea
getset

Returns or sets the lower bound lattice area

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe double NXOpen.CAE.SmoothOptResultsBuilder.LowerBoundSolidArea
getset

Returns or sets the lower bound solid area

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.Result NXOpen.CAE.SmoothOptResultsBuilder.Result
getset

Returns or sets the result

Created in NX12.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.SmoothOptResultsBuilder.SmoothDisplayOption
getset

Returns or sets the source mesh option

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe double NXOpen.CAE.SmoothOptResultsBuilder.SmoothLevel
getset

Returns or sets the smooth level

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SimSolution NXOpen.CAE.SmoothOptResultsBuilder.Solution
getset

Returns or sets the solution

Created in NX12.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.SmoothOptResultsBuilder.ViewPortIndex
getset

Returns or sets the view port index

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.